<?php
/*
Plugin Name: New Year Countdown
Plugin URI: http://sputnik1818.ru/
Description: Счетчик оставшихся дней до любого события. Идеально подходит для подсчета оставшихся дней до Нового года или Рождества.
Author: Sputnik1818
Version: 2.0.0
Author URI: http://sputnik1818.ru/
*/

/*  This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

function christmas_countdown_widget() {
        $width=get_option('christmas_countdown_width');
        if (!is_numeric($width)){
            $width = 200;
        }
        $height = round($width/3);

		$timerTitle=get_option('christmas_countdown_title');
		$footerText=get_option('christmas_countdown_footer_text');
		$daysCaption=get_option('christmas_countdown_days_text');
		$hoursCaption=get_option('christmas_countdown_hours_text');
		$minsCaption=get_option('christmas_countdown_mins_text');
		$secsCaption=get_option('christmas_countdown_secs_text');
		$dataCaption=get_option('christmas_countdown_data_text');

		$flashVars = '?';
		if (!empty($timerTitle))
			$flashVars .= "&timerCaption=".urlencode($timerTitle);
		if (!empty($daysCaption))
			$flashVars .= "&daysCaption=".urlencode($daysCaption);
		if (!empty($hoursCaption))
			$flashVars .= "&hoursCaption=".urlencode($hoursCaption);
		if (!empty($minsCaption))
			$flashVars .= "&minsCaption=".urlencode($minsCaption);
		if (!empty($secsCaption))
			$flashVars .= "&secsCaption=".urlencode($secsCaption);
        if (!empty($dataCaption))
			$flashVars .= "&dataCaption=".urlencode($dataCaption);

                if ($flashVars == '?')
                    $flashVars = '';

		if (empty($footerText))
			$footerText = 'Christmas Countdown';

	//echo '<h2>Christmas Countdown</h2>';
        echo '<div>';
        echo '<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" width="'.$width.'" height="'.$height.'">';
        echo '<param name="movie" value="'.$footerText.'newyear.swf'.$flashVars.'" />';
        echo '<!--[if !IE]>-->';
        echo '<object type="application/x-shockwave-flash" data="'.$footerText.'/newyear.swf'.$flashVars.'" width="'.$width.'" height="'.$height.'">';
        echo '<!--<![endif]-->';
        echo '<!--[if !IE]>-->';
        echo '</object>';
        echo '<!--<![endif]-->';
        echo '</object>';
        echo '</div>';
}

function christmas_countdown_control(){
    if ($_POST['christmas_countdown_width']) {
		christmas_countdown_save_option('christmas_countdown_width');
		christmas_countdown_save_option('christmas_countdown_title');
		christmas_countdown_save_option('christmas_countdown_footer_text');
		christmas_countdown_save_option('christmas_countdown_days_text');
		christmas_countdown_save_option('christmas_countdown_hours_text');
		christmas_countdown_save_option('christmas_countdown_mins_text');
		christmas_countdown_save_option('christmas_countdown_secs_text');
		christmas_countdown_save_option('christmas_countdown_data_text');
    }
	christmas_countdown_ib('christmas_countdown_width', 'Ширина', 'px', 5);
	christmas_countdown_ib('christmas_countdown_title', 'Текст над временем');
	christmas_countdown_ib('christmas_countdown_footer_text', 'Путь к папке с плагином');
	christmas_countdown_ib('christmas_countdown_days_text', 'Подпись под днями');
	christmas_countdown_ib('christmas_countdown_hours_text', 'Подпись под часами');
	christmas_countdown_ib('christmas_countdown_mins_text', 'Подпись под минутами');
	christmas_countdown_ib('christmas_countdown_secs_text', 'Подпись под секундами');
	christmas_countdown_ib('christmas_countdown_data_text', 'Дата в формате(Г-М-Д-Ч-М-С)');
}
function christmas_countdown_save_option($var){
	$val=$_POST[$var];
	update_option($var, $val);
}
function christmas_countdown_ib($var, $caption, $afterInput='', $size=0){
    $value=get_option($var);
    echo '<label for="'.$var.'">'.$caption.':<br/><input id="'.$var.'" name="'.$var.'" type="text"';
	if (!empty($size))
		echo ' size="'.$size.'"';
	echo ' value="'.$value.'" />'.$afterInput.'</label><br/>';
}

function init_christmas_countdown(){
	register_sidebar_widget("Christmas Countdown", "christmas_countdown_widget");
        register_widget_control("Christmas Countdown", "christmas_countdown_control");
}

add_action("plugins_loaded", "init_christmas_countdown");

?>